
export const menuData = [
    // {
    //     optionName: "首页",
    //     iconClassName: "el-icon-s-home",
    //     routerName: "Index",
    //     disabled: false
    // },
    {
        optionName: "定点屠宰智能管控",
        iconClassName: "el-icon-s-flag",
        disabled: false, // 是否禁用
        childList: [
            {
                optionName: '企业采购',
                routerName: "firmBuy"
            },
            {
                optionName: '入待宰栏',
                routerName: "inButcherHurdle"
            },
            {
                optionName: '屠宰批次',
                routerName: "slaughterBatch"
            },
            {
                optionName: '品控检疫',
                routerName: "reportQuarantine"
            },
            {
                optionName: '入宰登记',
                routerName: "regisSlaughter"
            },
            {
                optionName: '屠宰分割', // 宰后称重
                routerName: "slaughterWeight"
            },
            {
                optionName: '入库管理',
                routerName: "inStore"
            },
            {
                optionName: '出仓管理',
                routerName: "outStore"
            },

            {
                optionName: '分割加工',
                routerName: "segmentation"
            },
            {
                optionName: '排酸损耗',
                routerName: "drainageAcid"
            },
            {
                optionName: '分割批次',
                routerName: "splitBatch"
            },
            {
                optionName: '成本核算',
                routerName: "costAccounting"
            }
        ]
    },
    {
        optionName: "销售管理",
        iconClassName: "el-icon-s-custom",
        disabled: false,
        childList: [
            {
                optionName: '客户管理',
                routerName: "client"
            },
            {
                optionName: '价格管理',
                routerName: "price"
            },
            {
                optionName: '销售统计',
                routerName: "sellRegister"
            },
            {
                optionName: '屠宰直销',
                routerName: "directSell"
            },
            {
                optionName: '胴体销售',
                routerName: "carcassSell"
            },
            {
                optionName: '分割销售',
                routerName: "splitSell"
            },
            {
                optionName: '其他销售',
                routerName: "elseSell"
            },
        ]
    },
    {
        optionName: "产品制作智能监控",
        iconClassName: "el-icon-ice-cream-square",
        disabled: false,
        childList: [
            {
                optionName: '产品档案',
                routerName: "productInfo"
            },
            {
                optionName: '分割登记',
                routerName: "splitLog"
            },
            {
                optionName: '羊皮登记',
                routerName: "sheepskinLog"
            },
            {
                optionName: '羊血登记',
                routerName: "goatBloodLog"
            },
            {
                optionName: '羊杂登记',
                routerName: "goatHasletLog"
            },
            
        ]
    },

    {
        optionName: "鲜肉储运智能管控",
        iconClassName: "el-icon-shopping-cart-1",
        disabled: false,
        childList: [
            {
                optionName: '配送管理',
                routerName: "dispatching"
            },
            {
                optionName: '运输管理',
                routerName: "transportation"
            },
            {
                optionName: '门店管理',
                routerName: "shopStore"
            },
            {
                optionName: '产品追溯',
                routerName: "productQuery"
            },
        ]
    },
    {
        optionName: "开发用模板",
        iconClassName: "el-icon-menu",
        disabled: false, // 是否禁用
        childList: [
            {
                optionName: '模板 1',
                routerName: "aa"
            },
            {
                optionName: '普通表格',
                routerName: "ab"
            },
            {
                optionName: '模板 3',
                routerName: "ac"
            },
            {
                optionName: '模板 4',
                routerName: "ad"
            },
            {
                optionName: '模板 5',
                routerName: "ee"
            },
            {
                optionName: '模板 6',
                routerName: "af"
            }

        ]
    },

]

// export default {menuData}




/* 菜单配置 描述 */
const menuData描述 = [
    // 有子菜单 并且字菜单分组的
    {
        oneMenuName: "导航一", // 一级菜单名
        iconClassName: "aaa", // element-ui图标名
        childList: [ // 分组的
            {
                groupName: '组名一',
                list: [
                    {
                        optionName: '选项1',
                        routerName: "home"
                    },
                    {}
                ],
            },
            {
                groupName: '组名二',
                list: [
                    {
                        optionName: '选项1',
                        routerName: "home"
                    },
                    {}
                ],
            }
        ],
    },
    // 有子菜单 字菜单不分组的
    {
        oneMenuName: "导航二",
        iconClassName: "el-icon-menu",
        disabled: false, // 是否禁用
        childList: [ // 不分组的
            {
                optionName: '选项1',
                routerName: "home"
            },
            {}
        ]
    },
    // 无子菜单的
    {
        oneMenuName: "导航三",
        iconClassName: "el-icon-document",
        routerName: "home",
        disabled: false
    },

    "导航四"
]


